org.eclnt.jsfserver.elements.componentnodes

## Class SCROLLNOTIFIERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SCROLLNOTIFIERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SCROLLNOTIFIERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SCROLLNOTIFIERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SCROLLNOTIFIERNode` | `bindActionListener(IActionListenerDelegation value)`
    `SCROLLNOTIFIERNode` | `bindComment(IDynamicContentBindingObject value)`
    `SCROLLNOTIFIERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SCROLLNOTIFIERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SCROLLNOTIFIERNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `SCROLLNOTIFIERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SCROLLNOTIFIERNode` | `setActionListener(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setAttributemacro(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setComment(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setComponentbinding(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setConfiginfo(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setId(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setReference(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setRendered(boolean value)`
    `SCROLLNOTIFIERNode` | `setRendered(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setRowalignmenty(java.lang.String value)`
    `SCROLLNOTIFIERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SCROLLNOTIFIERNode

          public SCROLLNOTIFIERNode()

  - ### Method Detail

    - #### setId

          public SCROLLNOTIFIERNode setId(java.lang.String value)

    - #### setActionListener

          public SCROLLNOTIFIERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public SCROLLNOTIFIERNode bindActionListener(IActionListenerDelegation value)

    - #### setAttributemacro

          public SCROLLNOTIFIERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public SCROLLNOTIFIERNode setComment(java.lang.String value)

    - #### bindComment

          public SCROLLNOTIFIERNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public SCROLLNOTIFIERNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public SCROLLNOTIFIERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SCROLLNOTIFIERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public SCROLLNOTIFIERNode setReference(java.lang.String value)

    - #### setRendered

          public SCROLLNOTIFIERNode setRendered(java.lang.String value)

    - #### bindRendered

          public SCROLLNOTIFIERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SCROLLNOTIFIERNode setRendered(boolean value)

    - #### setRowalignmenty

          public SCROLLNOTIFIERNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public SCROLLNOTIFIERNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SCROLLNOTIFIERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SCROLLNOTIFIERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.